Bug 153052 - GtkDeprecationWarning: gtk.FALSE, gtk.TRUE
GtkDeprecationWarning: gtk.FALSE, gtk.TRUE
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-services (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Nils Philippsen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-31 23:30 EST by Ricky Ng-Adam
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-01 10:25:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
fixes warnings (3.77 KB, patch)
2005-03-31 23:53 EST, Colin Charles
no flags Details | Diff

  None (edit)
Description Ricky Ng-Adam 2005-03-31 23:30:23 EST
Description of problem:

/usr/sbin/system-config-services:204: GtkDeprecationWarning: gtk.TRUE is
deprecated, use True instead
  self.btnSave.get_children ()[0].get_children ()[0].get_children
()[1].set_use_underline(gtk.TRUE)
/usr/sbin/system-config-services:208: GtkDeprecationWarning: gtk.TRUE is
deprecated, use True instead
  self.btnRevert.get_children ()[0].get_children ()[0].get_children
()[1].set_use_underline(gtk.TRUE)
/usr/share/system-config-services/checklist.py:47: GtkDeprecationWarning:
gtk.TRUE is deprecated, use True instead
  column.set_clickable(gtk.TRUE)
/usr/share/system-config-services/checklist.py:54: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  column.set_clickable(gtk.FALSE)
/usr/share/system-config-services/checklist.py:57: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.set_rules_hint(gtk.FALSE)
/usr/share/system-config-services/checklist.py:185: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  if visible != 0:
/usr/share/system-config-services/checklist.py:188: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  gtk.TreeView.set_headers_visible(self, gtk.FALSE)
/usr/share/system-config-services/checklist.py:60: GtkDeprecationWarning:
gtk.FALSE is deprecated, use False instead
  self.set_enable_search(gtk.FALSE)
/etc/init.d/ [Errno 21] Is a directory
/etc/xinetd.d/ [Errno 21] Is a directory
/usr/sbin/system-config-services:405: GtkDeprecationWarning: gtk.TRUE is
deprecated, use True instead


Version-Release number of selected component (if applicable):

0.8.21-3

How reproducible:

always

Steps to Reproduce:
1. start program at console
2.
3.
  
Actual results:

extraneous warnings

Expected results:

no warnings

Additional info:

Most system-config-* have the same problems, I'm opening a bug for each.
Comment 1 Colin Charles 2005-03-31 23:51:36 EST
attached patch should fix this. apply & Rebuild.
Comment 2 Colin Charles 2005-03-31 23:53:56 EST
Created attachment 112560 [details]
fixes warnings
Comment 3 Nils Philippsen 2005-04-01 10:25:47 EST
Should be fixed in system-config-services-0.8.22-1, thanks for the patch!

Note You need to log in before you can comment on or make changes to this bug.